# load-gettext.rb

Path: | lib/rbot/load-gettext.rb
Last Update: | Fri Oct 26 22:50:46 +0000 2018

Load gettext module and provide fallback in case of failure

### Required files

gettext/version gettext stringio

### Methods

N_ Nn_ _ bindtextdomain_to n_ s_

### Included Modules

Comparable GetText

### Public Instance methods

N_(s)
Nn_(s_single, s_plural)
_(s)

dummy functions that return msg_id without translation

bindtextdomain_to(*args)
n_(s_single, s_plural, n)
s_(*args)

[Validate]